public class Datenknoten extends Listenelement {
    private Fahrzeug inhalt;
    private Listenelement next; 
    
    public Datenknoten(Fahrzeug newInhalt, Listenelement newNext) {
        inhalt=newInhalt;
        next=newNext;
    }
    
    public Listenelement insert(Fahrzeug newFahrzeug) {
        next = next.insert(newFahrzeug);
        return this;
    }
    
    public void print() {
        inhalt.print();
        next.print();
    }
    
    public int getZahl() {
        int zahl = next.getZahl()+1;
        return zahl;
    }
    
    public double getMass(){
        return inhalt.getMass()+next.getMass();
    }
}
